Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class ClassObjectAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.ClassObjectAdmin

    public class ClassObjectAdmin

extends java.lang.Object

The `ClassObjectAdmin.java` class - collection of ClassObject admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`ClassObjectAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `addAttribute(LibrarySession sess, ParameterTable params)` Section variant of Add Attribute
`void` | `createAttributePropertyBundles(LibrarySession sess, ParameterTable params)` Section variant of CreateAttributePropertyBundles
`protected void` | `createAttributePropertyBundles(LibrarySession sess, java.lang.String classname, PropertyBundleDefinition pbdef)` internal variant of createAttributePropertyBundles
`protected ClassObject` | `createClassObject(LibrarySession sess, ParameterTable params)` Section variant of Create ClassObject
`protected ClassObject` | `createClassObject(LibrarySession sess, java.lang.String classdefFileToken)` inline/internal variant of Create ClassObject
`protected void` | `freeClass(LibrarySession sess, ParameterTable params)` Section variant of Free Class
`protected void` | `freeClass(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free Class
`protected ClassObject` | `lookupClass(LibrarySession sess, java.lang.String name)` Lookup Class by name
`protected void` | `modifyAttribute(LibrarySession sess, ParameterTable params)` Section variant of Modify Attribute
`protected void` | `modifyAttribute(LibrarySession sess, java.lang.String classname, java.lang.String attrname, AttributeDefinition attrdef)` internal variant of Modify Attribute
`protected void` | `modifyClass(LibrarySession sess, ParameterTable params)` Section variant of Modify Class
`protected void` | `modifyClass(LibrarySession sess, java.lang.String name, ClassObjectDefinition classdef)` internal variant of Modify Class
`protected void` | `modifyClass(LibrarySession sess, java.lang.String classSpec, java.lang.String classAclName)`
`protected void` | `removeAttribute(LibrarySession sess, ParameterTable params)` Section variant of Remove Attribute
`protected ClassObject[]` | `resolveClassList(LibrarySession sess, java.lang.String classSpec)`
`protected void` | `showClass(LibrarySession sess, ClassObject clsobj)`
`protected void` | `showClass(LibrarySession sess, ParameterTable params)` Section variant of showClass
`protected void` | `showClass(LibrarySession sess, java.lang.String name)` Inline/internal variant of showClass
`protected void` | `showClasses(LibrarySession sess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### ClassObjectAdmin

    public ClassObjectAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createClassObject

    protected ClassObject createClassObject(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of Create ClassObject

  Throws:
    `IfsException`

### createClassObject

    protected ClassObject createClassObject(LibrarySession sess,
                                            java.lang.String classdefFileToken)
                                     throws IfsException

  Description copied from class: `ClassObjectAdmin`
  inline/internal variant of Create ClassObject

  Throws:
    `IfsException`

### modifyClass

    protected void modifyClass(LibrarySession sess,
                               java.lang.String classSpec,
                               java.lang.String classAclName)
                        throws IfsException

  Throws:
    `IfsException`

### modifyClass

    protected void modifyClass(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of Modify Class

  Throws:
    `IfsException`

### modifyClass

    protected void modifyClass(LibrarySession sess,
                               java.lang.String name,
                               ClassObjectDefinition classdef)
                        throws IfsException

  Description copied from class: `ClassObjectAdmin`
  internal variant of Modify Class

  Throws:
    `IfsException`

### modifyAttribute

    protected void modifyAttribute(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of Modify Attribute

  Throws:
    `IfsException`

### modifyAttribute

    protected void modifyAttribute(LibrarySession sess,
                                   java.lang.String classname,
                                   java.lang.String attrname,
                                   AttributeDefinition attrdef)
                            throws IfsException

  Description copied from class: `ClassObjectAdmin`
  internal variant of Modify Attribute

  Throws:
    `IfsException`

### createAttributePropertyBundles

    public void createAttributePropertyBundles(LibrarySession sess,
                                               ParameterTable params)
                                        throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of CreateAttributePropertyBundles

  Throws:
    `IfsException`

### createAttributePropertyBundles

    protected void createAttributePropertyBundles(LibrarySession sess,
                                                  java.lang.String classname,
                                                  PropertyBundleDefinition pbdef)
                                           throws IfsException

  Description copied from class: `ClassObjectAdmin`
  internal variant of createAttributePropertyBundles

  Throws:
    `IfsException`

### addAttribute

    protected void addAttribute(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of Add Attribute

  Throws:
    `IfsException`

### removeAttribute

    protected void removeAttribute(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of Remove Attribute

  Throws:
    `IfsException`

### freeClass

    protected void freeClass(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of Free Class

  Throws:
    `IfsException`

### freeClass

    protected void freeClass(LibrarySession sess,
                             java.lang.String name)
                      throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Inline/internal variant of Free Class

  Throws:
    `IfsException`

### lookupClass

    protected ClassObject lookupClass(LibrarySession sess,
                                      java.lang.String name)
                               throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Lookup Class by name

  Throws:
    `IfsException`

### resolveClassList

    protected ClassObject[] resolveClassList(LibrarySession sess,
                                             java.lang.String classSpec)
                                      throws IfsException

  Throws:
    `IfsException`

### showClass

    protected void showClass(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Section variant of showClass

  Throws:
    `IfsException`

### showClass

    protected void showClass(LibrarySession sess,
                             java.lang.String name)
                      throws IfsException

  Description copied from class: `ClassObjectAdmin`
  Inline/internal variant of showClass

  Throws:
    `IfsException`

### showClass

    protected void showClass(LibrarySession sess,
                             ClassObject clsobj)
                      throws IfsException

  Throws:
    `IfsException`

### showClasses

    protected void showClasses(LibrarySession sess)
                        throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD